%define theirname Params-Validate

Summary:	Perl modules for validation method/function call parameters
Name:		perl-%{theirname}
Version:	0.04
Release:	2mdk

Source:		%{theirname}-%{version}.tar.bz2

License:	GPL or Artistic
Group:		Development/Other
URL:		http://cpan.valueclick.com/modules/by-authors/id/D/DR/DROLSKY/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.

The validation can be as simple as checking for the presence of required
parameters or as complex as validating object classes (via isa) or capabilities
(via can), checking parameter types, and using customized callbacks to ensure
data integrity.

%prep

%setup -q -n %{theirname}-%{version}

%build
perl Makefile.PL 
%make 	OPTIMIZE="$RPM_OPT_FLAGS" \
	PREFIX=$RPM_BUILD_ROOT/usr \
        MAN1EXT=8 \
        INSTALLBIN=$RPM_BUILD_ROOT/%{_sbindir} \
        INSTALLSCRIPT=$RPM_BUILD_ROOT/%{_sbindir} \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3
#make test

%install
rm -fr $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib

echo `pwd`
mkdir -p $RPM_BUILD_ROOT/$installarchlib/
cp -a blib/lib/* $RPM_BUILD_ROOT/$installarchlib/

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
cp -a blib/man3/* $RPM_BUILD_ROOT/%{_mandir}/man3

mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}
cp -a README Changes MANIFEST $RPM_BUILD_ROOT/%{_docdir}/%{name}

%clean
rm -fr $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README Changes MANIFEST
%{_mandir}/man3/*
/usr/lib/perl5/5.6.1/*-linux/Params/*.pm
/usr/lib/perl5/5.6.1/*-linux/Params/Validate/*.pm
#/usr/lib/perl5/5.6.0/i386-linux/auto/*/*/*

%changelog
* Wed Jun 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.04-2mdk
- Allow build on non ix86 architectures
- bzip2 sources

* Thu Apr 26 2001 Florin Grad <florin@mandrakesoft.com> 0.04-1mdk
- first attempt
